namespace DocuMed.PWA.Services.RestServices;

public interface IAuthRestApi
{
    [Get("/verifycode")]
    public Task<SignUpStatus> GetVerifyCodeAsync([Query] string phoneNumber);

    [Post("/login/code")]
    public Task<AccessToken<ApplicationUserSDto>> LoginWithVerifyCodeAsync([Body] LoginRequestDto request);

    [Post("/signup")]
    public Task<AccessToken<ApplicationUserSDto>> CompleteSignUpAsync([Body] SignUpRequestDto request, [Header("Authorization")] string authorization);
}